import 'package:fis_i18n/types.dart';

/// 通用模块
class CommonModule extends ModuleBase {
  CommonModule._({
    required this.installFailed,
    required this.qualityControlStatus,
    required this.qualityControlledScore,
    required this.qualityControl,
    required this.qualityControlPrompt,
    required this.qualityPass,
    required this.infoIncomplete,
    required this.imageNotStandard,
    required this.lesionNotClear,
    required this.qualityScore,
    required this.qualityControlCompleted,
    required this.imageQualityControl,
    required this.reportQualityControl,
    required this.scoreNotNull,
    required this.imageClarity,
    required this.imageMarking,
    required this.imageBodyMark,
    required this.imageCentering,
    required this.lesionMeasurement,
    required this.qualityOpinion,
    required this.overallScore,
    required this.basicInfoScore,
    required this.reportDescriptionMeasurement,
    required this.ultrasoundSuggestion,
    required this.reportImageClarity,
    required this.otherMisdiagnosis,
    required this.qualityControlled,
    required this.from,
    required this.startRecording,
    required this.screenshot,
    required this.imageCapture,
    required this.dateOfBirth,
    required this.medicalHistory,
    required this.allVideos,
    required this.downloadSuccess,
    required this.switchPatients,
    required this.networkQualityWarning,
    required this.openSecondaryWindow,
    required this.AIDiagnosis,
    required this.revokeSuccess,
    required this.defaultEntry,
    required this.savedeskTokSuccess,
    required this.savedeskTokSuccess2,
    required this.photo,
    required this.cameraPermissionDisabled,
    required this.microphonePermissionDisabled,
    required this.mediaFilePermissionDisabled,
    required this.goToSettingsPageToEnable,
    required this.courseHome,
    required this.joinClass,
    required this.selectAtLeastOnePatient,
    required this.college,
    required this.printTestPage,
    required this.installLocalDriver,
    required this.flyinsonoCollege,
    required this.pleaseEnter,
    required this.searchOrAddPatient,
    required this.networkError,
    required this.selectExportImage,
    required this.enterValidCode,
    required this.deviceAdded,
    required this.networkException,
    required this.ofTerm,
    required this.completeInformation,
    required this.refreshQRCode,
    required this.clickToDownload,
    required this.feedback,
    required this.feedbackSystem,
    required this.noImageInfo,
    required this.evaluation,
    required this.rating,
    required this.uploadFail,
    required this.cachedVideo,
    required this.temporaryLeave,
    required this.confirmScanQRLogin,
    required this.flyinsonoLoginConfirm,
    required this.confirmLogin,
    required this.inconsistentServer,
    required this.ensureConsistentServerSelection,
    required this.networkInstability,
    required this.networkErrorMobile,
    required this.showMore,
    required this.enableTab,
    required this.leaveCurrentPage,
    required this.noData,
    required this.endPage,
    required this.NetImageError,
    required this.added,
    required this.layout,
    required this.phoneExists,
    required this.emailExists,
    required this.appName,
    required this.versionNumber,
    required this.language,
    required this.refresh,
    required this.forward,
    required this.createTime,
    required this.status,
    required this.finish,
    required this.report,
    required this.search,
    required this.search4Btn,
    required this.open,
    required this.input,
    required this.fullName,
    required this.email,
    required this.mobileNumber,
    required this.loading,
    required this.and,
    required this.submitting,
    required this.underDevelopment,
    required this.tip,
    required this.confirm,
    required this.confirm4Btn,
    required this.submitted,
    required this.close,
    required this.alreadySaved,
    required this.add,
    required this.save,
    required this.save4Btn,
    required this.filter,
    required this.verificationCode,
    required this.cancel,
    required this.cancel4Btn,
    required this.image,
    required this.remove,
    required this.state,
    required this.all,
    required this.selected,
    required this.unDistributed,
    required this.distributed,
    required this.back,
    required this.revoke,
    required this.Select,
    required this.country,
    required this.province,
    required this.city,
    required this.operation,
    required this.removeNotification,
    required this.edit,
    required this.submit,
    required this.yes,
    required this.no,
    required this.noneDataTip,
    required this.delete,
    required this.modify,
    required this.platformDefault,
    required this.InputLimitTime,
    required this.referLimitTime,
    required this.inputHour,
    required this.canReferOrg,
    required this.networkUnstable,
    required this.error,
    required this.zoomIn,
    required this.zoomOut,
    required this.flyinsonoLog,
    required this.noDataExport,
    required this.pleaseSelectZipFile,
    required this.view,
    required this.previousFivePageText,
    required this.nextFivePageText,
    required this.cancellation,
    required this.cancellationSuccess,
    required this.validateIdentity,
    required this.vinnoTechnology,
    required this.suICPNo,
  });

  static const ModuleName = "common";

  factory CommonModule(Map<String, dynamic> map) {
    return CommonModule._(
      installFailed: map.pick("installFailed"),
      qualityControlStatus: map.pick("qualityControlStatus"),
      qualityControlledScore: map.pick("qualityControlledScore"),
      qualityControl: map.pick("qualityControl"),
      qualityControlPrompt: map.pick("qualityControlPrompt"),
      qualityPass: map.pick("qualityPass"),
      infoIncomplete: map.pick("infoIncomplete"),
      imageNotStandard: map.pick("imageNotStandard"),
      lesionNotClear: map.pick("lesionNotClear"),
      qualityScore: map.pick("qualityScore"),
      qualityControlCompleted: map.pick("qualityControlCompleted"),
      imageQualityControl: map.pick("imageQualityControl"),
      reportQualityControl: map.pick("reportQualityControl"),
      scoreNotNull: map.pick("scoreNotNull"),
      imageClarity: map.pick("imageClarity"),
      imageMarking: map.pick("imageMarking"),
      imageBodyMark: map.pick("imageBodyMark"),
      imageCentering: map.pick("imageCentering"),
      lesionMeasurement: map.pick("lesionMeasurement"),
      qualityOpinion: map.pick("qualityOpinion"),
      overallScore: map.pick("overallScore"),
      basicInfoScore: map.pick("basicInfoScore"),
      reportDescriptionMeasurement: map.pick("reportDescriptionMeasurement"),
      ultrasoundSuggestion: map.pick("ultrasoundSuggestion"),
      reportImageClarity: map.pick("reportImageClarity"),
      otherMisdiagnosis: map.pick("otherMisdiagnosis"),
      qualityControlled: map.pick("qualityControlled"),
      from: map.pick("from"),
      startRecording: map.pick("startRecording"),
      screenshot: map.pick("screenshot"),
      imageCapture: map.pick("imageCapture"),
      dateOfBirth: map.pick("dateOfBirth"),
      medicalHistory: map.pick("medicalHistory"),
      allVideos: map.pick("allVideos"),
      downloadSuccess: map.pick("downloadSuccess"),
      switchPatients: map.pick("switchPatients"),
      networkQualityWarning: map.pick("networkQualityWarning"),
      openSecondaryWindow: map.pick("openSecondaryWindow"),
      AIDiagnosis: map.pick("AIDiagnosis"),
      revokeSuccess: map.pick("revokeSuccess"),
      defaultEntry: map.pick("defaultEntry"),
      savedeskTokSuccess: map.pick("savedeskTokSuccess"),
      savedeskTokSuccess2: map.pick("savedeskTokSuccess2"),
      photo: map.pick("photo"),
      cameraPermissionDisabled: map.pick("cameraPermissionDisabled"),
      microphonePermissionDisabled: map.pick("microphonePermissionDisabled"),
      mediaFilePermissionDisabled: map.pick("mediaFilePermissionDisabled"),
      goToSettingsPageToEnable: map.pick("goToSettingsPageToEnable"),
      courseHome: map.pick("courseHome"),
      joinClass: map.pick("joinClass"),
      selectAtLeastOnePatient: map.pick("selectAtLeastOnePatient"),
      college: map.pick("college"),
      printTestPage: map.pick("printTestPage"),
      installLocalDriver: map.pick("installLocalDriver"),
      flyinsonoCollege: map.pick("flyinsonoCollege"),
      pleaseEnter: map.pick("pleaseEnter"),
      searchOrAddPatient: map.pick("searchOrAddPatient"),
      networkError: map.pick("networkError"),
      selectExportImage: map.pick("selectExportImage"),
      enterValidCode: map.pick("enterValidCode"),
      deviceAdded: map.pick("deviceAdded"),
      networkException: map.pick("networkException"),
      ofTerm: map.pick("ofTerm"),
      completeInformation: map.pick("completeInformation"),
      refreshQRCode: map.pick("refreshQRCode"),
      clickToDownload: map.pick("clickToDownload"),
      feedback: map.pick("feedback"),
      feedbackSystem: map.pick("feedbackSystem"),
      noImageInfo: map.pick("noImageInfo"),
      evaluation: map.pick("evaluation"),
      rating: map.pick("rating"),
      uploadFail: map.pick("uploadFail"),
      cachedVideo: map.pick("cachedVideo"),
      temporaryLeave: map.pick("temporaryLeave"),
      confirmScanQRLogin: map.pick("confirmScanQRLogin"),
      flyinsonoLoginConfirm: map.pick("flyinsonoLoginConfirm"),
      confirmLogin: map.pick("confirmLogin"),
      inconsistentServer: map.pick("inconsistentServer"),
      ensureConsistentServerSelection:
          map.pick("ensureConsistentServerSelection"),
      networkInstability: map.pick("networkInstability"),
      networkErrorMobile: map.pick("networkErrorMobile"),
      showMore: map.pick("showMore"),
      enableTab: map.pick("enableTab"),
      leaveCurrentPage: map.pick("leaveCurrentPage"),
      noData: map.pick("noData"),
      endPage: map.pick("endPage"),
      NetImageError: map.pick("NetImageError"),
      added: map.pick("added"),
      layout: map.pick("layout"),
      phoneExists: map.pick("phoneExists"),
      emailExists: map.pick("emailExists"),
      appName: map.pick("appName"),
      versionNumber: map.pick("versionNumber"),
      language: map.pick("language"),
      refresh: map.pick("refresh"),
      forward: map.pick("forward"),
      createTime: map.pick("createTime"),
      status: map.pick("status"),
      finish: map.pick("finish"),
      report: map.pick("report"),
      search: map.pick("search"),
      search4Btn: map.pick("search4Btn"),
      open: map.pick("open"),
      input: map.pick("input"),
      fullName: map.pick("fullName"),
      email: map.pick("email"),
      mobileNumber: map.pick("mobileNumber"),
      loading: map.pick("loading"),
      and: map.pick("and"),
      submitting: map.pick("submitting"),
      underDevelopment: map.pick("underDevelopment"),
      tip: map.pick("tip"),
      confirm: map.pick("confirm"),
      confirm4Btn: map.pick("confirm4Btn"),
      submitted: map.pick("submitted"),
      close: map.pick("close"),
      alreadySaved: map.pick("alreadySaved"),
      add: map.pick("add"),
      save: map.pick("save"),
      save4Btn: map.pick("save4Btn"),
      filter: map.pick("filter"),
      verificationCode: map.pick("verificationCode"),
      cancel: map.pick("cancel"),
      cancel4Btn: map.pick("cancel4Btn"),
      image: map.pick("image"),
      remove: map.pick("remove"),
      state: map.pick("state"),
      all: map.pick("all"),
      selected: map.pick("selected"),
      unDistributed: map.pick("unDistributed"),
      distributed: map.pick("distributed"),
      back: map.pick("back"),
      revoke: map.pick("revoke"),
      Select: map.pick("Select"),
      country: map.pick("country"),
      province: map.pick("province"),
      city: map.pick("city"),
      operation: map.pick("operation"),
      removeNotification: map.pick("removeNotification"),
      edit: map.pick("edit"),
      submit: map.pick("submit"),
      yes: map.pick("yes"),
      no: map.pick("no"),
      noneDataTip: map.pick("noneDataTip"),
      delete: map.pick("delete"),
      modify: map.pick("modify"),
      platformDefault: map.pick("platformDefault"),
      InputLimitTime: map.pick("InputLimitTime"),
      referLimitTime: map.pick("referLimitTime"),
      inputHour: map.pick("inputHour"),
      canReferOrg: map.pick("canReferOrg"),
      networkUnstable: map.pick("networkUnstable"),
      error: map.pick("error"),
      zoomIn: map.pick("zoomIn"),
      zoomOut: map.pick("zoomOut"),
      flyinsonoLog: map.pick("flyinsonoLog"),
      noDataExport: map.pick("noDataExport"),
      pleaseSelectZipFile: map.pick("pleaseSelectZipFile"),
      view: map.pick("view"),
      previousFivePageText: map.pick("previousFivePageText"),
      nextFivePageText: map.pick("nextFivePageText"),
      cancellation: map.pick("cancellation"),
      cancellationSuccess: map.pick("cancellationSuccess"),
      validateIdentity: map.pick("validateIdentity"),
      vinnoTechnology: map.pick("vinnoTechnology"),
      suICPNo: map.pick("suICPNo"),
    );
  }

  /// 安装失败
  final FTrStr installFailed;

  /// 质控状态
  final FTrStr qualityControlStatus;

  /// 已质控{0}分
  final FTrStr qualityControlledScore;

  /// 质控
  final FTrStr qualityControl;

  /// 是否对报告进行质控?
  final FTrStr qualityControlPrompt;

  /// 质控合格
  final FTrStr qualityPass;

  /// 信息不完整
  final FTrStr infoIncomplete;

  /// 上传图像不标准
  final FTrStr imageNotStandard;

  /// 阳性病灶显示不清晰
  final FTrStr lesionNotClear;

  /// 质控评分
  final FTrStr qualityScore;

  /// 您已完成图像质控
  final FTrStr qualityControlCompleted;

  /// 图像质控
  final FTrStr imageQualityControl;

  /// 报告质控
  final FTrStr reportQualityControl;

  /// 所有评分项不可为空
  final FTrStr scoreNotNull;

  /// 图像清晰度(10分)
  final FTrStr imageClarity;

  /// 图像标记(10分)
  final FTrStr imageMarking;

  /// 图像体标(10分)
  final FTrStr imageBodyMark;

  /// 图像居中(10分)
  final FTrStr imageCentering;

  /// 阳性病灶测量(10分)
  final FTrStr lesionMeasurement;

  /// 质控意见
  final FTrStr qualityOpinion;

  /// 综合评分
  final FTrStr overallScore;

  /// 基本信息(10分)
  final FTrStr basicInfoScore;

  /// 报告描述及测量(10分)
  final FTrStr reportDescriptionMeasurement;

  /// 超声提示(10分)
  final FTrStr ultrasoundSuggestion;

  /// 报告图像清晰(10分)
  final FTrStr reportImageClarity;

  /// 其他(是否漏诊误诊)(10分)
  final FTrStr otherMisdiagnosis;

  /// 已质控
  final FTrStr qualityControlled;

  /// 来自于
  final FTrStr from;

  /// 开始录制
  final FTrStr startRecording;

  /// 截图
  final FTrStr screenshot;

  /// 图像采集
  final FTrStr imageCapture;

  /// 出生日期
  final FTrStr dateOfBirth;

  /// 病史
  final FTrStr medicalHistory;

  /// 所有视频
  final FTrStr allVideos;

  /// 下载成功
  final FTrStr downloadSuccess;

  /// 切换病人
  final FTrStr switchPatients;

  /// 当前网络质量不佳
  final FTrStr networkQualityWarning;

  /// 正在开启副窗口...
  final FTrStr openSecondaryWindow;

  /// AI诊断
  final FTrStr AIDiagnosis;

  /// 撤回成功
  final FTrStr revokeSuccess;

  /// 默认词条
  final FTrStr defaultEntry;

  /// 保存成功，请至桌面查看
  final FTrStr savedeskTokSuccess;

  /// 保存成功
  final FTrStr savedeskTokSuccess2;

  /// 照片
  final FTrStr photo;

  /// 相机权限已被禁用
  final FTrStr cameraPermissionDisabled;

  /// 麦克风权限已被禁用
  final FTrStr microphonePermissionDisabled;

  /// 媒体文件权限已被禁用
  final FTrStr mediaFilePermissionDisabled;

  /// 是否前往设置页面开启？
  final FTrStr goToSettingsPageToEnable;

  /// 课程首页
  final FTrStr courseHome;

  /// 加入班级
  final FTrStr joinClass;

  /// 请至少选择一个病人
  final FTrStr selectAtLeastOnePatient;

  /// 学院
  final FTrStr college;

  /// 打印测试页
  final FTrStr printTestPage;

  /// 安装本地驱动
  final FTrStr installLocalDriver;

  /// 杏聆荟学院
  final FTrStr flyinsonoCollege;

  /// 请输入
  final FTrStr pleaseEnter;

  /// 搜索或添加病人
  final FTrStr searchOrAddPatient;

  /// 网络异常，请先检查网络状况再试
  final FTrStr networkError;

  /// 请选择待导出测量结果的图像
  final FTrStr selectExportImage;

  /// 请输入正确的唯一码
  final FTrStr enterValidCode;

  /// 您已添加该设备,请在设备列表中查看
  final FTrStr deviceAdded;

  /// 网络异常断开，请稍后重试
  final FTrStr networkException;

  /// 共 {0} 项
  final FTrStr ofTerm;

  /// 完善信息
  final FTrStr completeInformation;

  /// 刷新二维码
  final FTrStr refreshQRCode;

  /// 点此下载
  final FTrStr clickToDownload;

  /// 反馈
  final FTrStr feedback;

  /// 反馈系统
  final FTrStr feedbackSystem;

  /// 暂无图像信息
  final FTrStr noImageInfo;

  /// 评价
  final FTrStr evaluation;

  /// 评分
  final FTrStr rating;

  /// 网络不稳定，文件上传失败
  final FTrStr uploadFail;

  /// 录制视频已缓存至安装目录
  final FTrStr cachedVideo;

  /// 暂时离开
  final FTrStr temporaryLeave;

  /// 扫码登录确认
  final FTrStr confirmScanQRLogin;

  /// 杏聆荟登录确认
  final FTrStr flyinsonoLoginConfirm;

  /// 确认登录
  final FTrStr confirmLogin;

  /// 服务器不一致！
  final FTrStr inconsistentServer;

  /// 请确保移动端和电脑端所选服务器一致
  final FTrStr ensureConsistentServerSelection;

  /// 网络异常
  final FTrStr networkInstability;

  /// （未连接）
  final FTrStr networkErrorMobile;

  /// 查看更多
  final FTrStr showMore;

  /// 启用新标签页
  final FTrStr enableTab;

  /// 确定离开当前页面吗？
  final FTrStr leaveCurrentPage;

  /// 暂无数据
  final FTrStr noData;

  /// 尾页
  final FTrStr endPage;

  /// 网络不稳定，图像下载失败
  final FTrStr NetImageError;

  /// 已添加
  final FTrStr added;

  /// 布局
  final FTrStr layout;

  /// 手机号已存在
  final FTrStr phoneExists;

  /// 邮箱已存在
  final FTrStr emailExists;

  /// 杏聆荟
  final FTrStr appName;

  /// 版本号 : {0}
  final FTrStr versionNumber;

  /// 语言
  final FTrStr language;

  /// 刷新
  final FTrStr refresh;

  /// 转发
  final FTrStr forward;

  /// 创建时间
  final FTrStr createTime;

  /// 状态
  final FTrStr status;

  /// 完成
  final FTrStr finish;

  /// 报告
  final FTrStr report;

  /// 搜索
  final FTrStr search;

  /// 搜 索
  final FTrStr search4Btn;

  /// 已开启
  final FTrStr open;

  /// 请输入{0}
  final FTrStr input;

  /// 姓名
  final FTrStr fullName;

  /// 邮箱
  final FTrStr email;

  /// 手机号
  final FTrStr mobileNumber;

  /// 加载中
  final FTrStr loading;

  /// 和
  final FTrStr and;

  /// 提交中...
  final FTrStr submitting;

  /// 尚未开发
  final FTrStr underDevelopment;

  /// 提示
  final FTrStr tip;

  /// 确定
  final FTrStr confirm;

  /// 确 定
  final FTrStr confirm4Btn;

  /// 已提交
  final FTrStr submitted;

  /// 关闭
  final FTrStr close;

  /// 已保存
  final FTrStr alreadySaved;

  /// 添加
  final FTrStr add;

  /// 保存
  final FTrStr save;

  /// 保 存
  final FTrStr save4Btn;

  /// 筛选
  final FTrStr filter;

  /// 验证码
  final FTrStr verificationCode;

  /// 取消
  final FTrStr cancel;

  /// 取 消
  final FTrStr cancel4Btn;

  /// 图像
  final FTrStr image;

  /// 移除
  final FTrStr remove;

  /// 状态
  final FTrStr state;

  /// 全部
  final FTrStr all;

  /// 已选择
  final FTrStr selected;

  /// 未分配
  final FTrStr unDistributed;

  /// 已分配
  final FTrStr distributed;

  /// 返回
  final FTrStr back;

  /// 撤销
  final FTrStr revoke;

  /// 请选择
  final FTrStr Select;

  /// 国家
  final FTrStr country;

  /// 省份
  final FTrStr province;

  /// 城市
  final FTrStr city;

  /// 操作
  final FTrStr operation;

  /// 确定是否移除
  final FTrStr removeNotification;

  /// 编辑
  final FTrStr edit;

  /// 提交
  final FTrStr submit;

  /// 是
  final FTrStr yes;

  /// 否
  final FTrStr no;

  /// 暂无数据，先看看别的吧
  final FTrStr noneDataTip;

  /// 删除
  final FTrStr delete;

  /// 修改
  final FTrStr modify;

  /// 平台默认
  final FTrStr platformDefault;

  /// 请输入超时时限
  final FTrStr InputLimitTime;

  /// 转诊超时时限
  final FTrStr referLimitTime;

  /// 小时
  final FTrStr inputHour;

  /// 对接医院
  final FTrStr canReferOrg;

  /// 当前网络不稳定，图像正在下载，请稍后
  final FTrStr networkUnstable;

  /// 错误
  final FTrStr error;

  /// 放大
  final FTrStr zoomIn;

  /// 缩小
  final FTrStr zoomOut;

  /// 杏聆荟日志
  final FTrStr flyinsonoLog;

  /// 未找到可导出的数据
  final FTrStr noDataExport;

  /// 请选择一个zip、rar、tar、gzip或apk文件！
  final FTrStr pleaseSelectZipFile;

  /// 查看
  final FTrStr view;

  /// 向前 5 页
  final FTrStr previousFivePageText;

  /// 向后 5 页
  final FTrStr nextFivePageText;

  /// 注销
  final FTrStr cancellation;

  /// 注销成功
  final FTrStr cancellationSuccess;

  /// 身份校验
  final FTrStr validateIdentity;

  /// 飞依诺科技股份有限公司
  final FTrStr vinnoTechnology;

  /// 苏ICP备12062591号-9A
  final FTrStr suICPNo;

  @override
  getProp(String propName) {
    // TODO: implement getProp
    throw UnimplementedError();
  }
}
