import 'package:fis_i18n/types.dart';

/// 身体部位模块
class BodyPartsModule extends ModuleBase {
  BodyPartsModule._({
    required this.brain,
    required this.head,
    required this.abdomen,
    required this.chest,
  });

  static const ModuleName = "bodyParts";

  factory BodyPartsModule(Map<String, dynamic> map) {
    return BodyPartsModule._(
      brain: map.pick("brain"),
      head: map.pick("head"),
      abdomen: map.pick("abdomen"),
      chest: map.pick("chest"),
    );
  }

  /// 脑部
  final FTrStr brain;

  /// 头部
  final FTrStr head;

  /// 腹部
  final FTrStr abdomen;

  /// 胸部
  final FTrStr chest;

  @override
  getProp(String propName) {
    // TODO: implement getProp
    throw UnimplementedError();
  }
}
